/*
 * Extended Operating System Loader (XOSL)
 * Copyright (c) 1999 by Geurt Vos
 *
 * This code is distributed under GNU General Public License (GPL)
 *
 * The full text of the license can be found in the GPL.TXT file,
 * or at http://www.gnu.org
 */

#ifndef KeyListH
#define KeyListH

#include <newdefs.h>

class CKeyDesc {
public:
	unsigned short KeyCode;
	unsigned short NewKeyCode;
	const char *KeyName;
	const char *ShortKeyName;
	bool SpecialKey;
};

class CKeyCodeEqual {
public:
	inline CKeyCodeEqual(){}
	inline bool operator()(const CKeyDesc &Desc, unsigned short KeyCode)
	{
		return Desc.KeyCode == KeyCode;
	}
};

class CNewKeyCodeEqual {
public:
	inline CNewKeyCodeEqual(){}
	inline bool operator()(const CKeyDesc &Desc, unsigned short NewKeyCode)
	{
		return Desc.NewKeyCode == NewKeyCode;
	}	

};

#endif
